io.etcd.jetcd.auth

## Class AuthRoleGetResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<AuthRoleGetResponse>
  - - io.etcd.jetcd.auth.AuthRoleGetResponse

All Implemented Interfaces:
  Response

    public class AuthRoleGetResponse
    extends AbstractResponse<AuthRoleGetResponse>

AuthRoleGetResponse returned by `Auth#roleGet(ByteSequence)` contains a header and a list of permissions.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`AuthRoleGetResponse(AuthRoleGetResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Permission>` `getPermissions()`

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthRoleGetResponse

    public AuthRoleGetResponse(AuthRoleGetResponse response)

### Method Detail

#### getPermissions

    public List<Permission> getPermissions()